Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPConstantNumber

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPConstant
org.apache.commons.compress.harmony.unpack200.bytecode.CPConstantNumber

Direct Known Subclasses:
  `CPDouble`, `CPFloat`, `CPInteger`, `CPLong`

public abstract class CPConstantNumber extends CPConstant
Abstract superclass for constant pool entries that are numbers.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPConstantNumber(byte tag, Object value, int globalIndex)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Number`
  `getNumber()`
  The value as a Number.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPConstant

  `equals, getValue, hashCode`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag, writeBody`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `getNestedClassFileEntries, objectHashCode, resolve, toString, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPConstantNumber

    public CPConstantNumber(byte tag, Object value, int globalIndex)
    Constructs a new instance.
    Parameters:
      `tag` - One-byte tag indicates the kind of constant.
      `value` - The value.
      `globalIndex` - Global index.

- ## Method Details

  - ### getNumber

    protected Number getNumber()
    The value as a Number.
    Returns:
      The value as a Number.